
public class TestSleepHandler implements WorkItemHandler {

	boolean async = false;
	int seconds = 1;
	
	public TestSleepHandler(boolean async, int seconds){
		this.seconds = seconds;
		this.async = async;
	}
	
	@Override
	public void executeWorkItem(WorkItem workItem, WorkItemManager manager) {
		
		
		if(async){
			Thread t = new WThread(workItem.getId(), manager, seconds);
			t.start();
		}
		else{
			try {
				System.out.println("sleep....");
				Thread.currentThread().sleep(seconds * 1000);
				System.out.println("....end");
			} catch (InterruptedException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
			manager.completeWorkItem(workItem.getId(), null);
		}
		
		
		
	}

	@Override
	public void abortWorkItem(WorkItem workItem, WorkItemManager manager) {
		// TODO Auto-generated method stub
		
	}

}


class WThread extends Thread{

	WorkItemManager manager = null;
	long workItemId = -1;
	int seconds = 1;
	
	public WThread(long workItemId, WorkItemManager manager, int seconds){
		this.workItemId = workItemId;
		this.manager = manager;
		this.seconds = seconds;
	}
	
	@Override
	public void run(){

		System.out.println("sleep....");
		try {
			Thread.currentThread().sleep(seconds * 1000);
		} catch (InterruptedException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
		System.out.println("....end");
		this.manager.completeWorkItem(this.workItemId, null);
	}
	
}
